Upstream information

CVE-2018-14352 at MITRE

Description

An issue was discovered in Mutt before 1.10.1 and NeoMutt before 2018-07-16. imap_quote_string in imap/util.c does not leave room for quote characters, leading to a stack-based buffer overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 6.3
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
SUSE Bugzilla entries: 1101428 [RESOLVED / FIXED], 1101582 [RESOLVED / FIXED], 1101593 [RESOLVED / WORKSFORME]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP3
  • mutt >= 1.10.1-55.6.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-1415
SUSE-SLE-DESKTOP-12-SP3-2019-1196
SUSE Linux Enterprise Desktop 12 SP4
  • mutt >= 1.10.1-55.6.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA mutt
SUSE Linux Enterprise Module for Basesystem 15
  • mutt >= 1.10.1-3.3.4
  • mutt-doc >= 1.10.1-3.3.4
  • mutt-lang >= 1.10.1-3.3.4
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-1416
SUSE Linux Enterprise Point of Sale 11 SP3
  • mutt >= 1.5.17-42.43.1
Patchnames:
sleposp3-mutt-13736
SUSE Linux Enterprise Server 11 SP3-LTSS
  • mutt >= 1.5.17-42.43.1
Patchnames:
slessp3-mutt-13736
SUSE Linux Enterprise Server 11 SP4
  • mutt >= 1.5.17-42.43.1
Patchnames:
slessp4-mutt-13736
SUSE Linux Enterprise Server 12 SP3
  • mutt >= 1.10.1-55.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1415
SUSE-SLE-SERVER-12-SP3-2019-1196
SUSE Linux Enterprise Server 12 SP4
  • mutt >= 1.10.1-55.6.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA mutt
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
  • mutt >= 1.5.17-42.43.1
Patchnames:
slessp3-mutt-13736
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • mutt >= 1.5.17-42.43.1
Patchnames:
slessp4-mutt-13736
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • mutt >= 1.10.1-55.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1415
SUSE-SLE-SERVER-12-SP3-2019-1196
openSUSE Leap 15.0
  • mutt >= 1.10.1-lp150.2.3.1
  • mutt-debuginfo >= 1.10.1-lp150.2.3.1
  • mutt-debugsource >= 1.10.1-lp150.2.3.1
  • mutt-doc >= 1.10.1-lp150.2.3.1
  • mutt-lang >= 1.10.1-lp150.2.3.1
Patchnames:
openSUSE-2019-569
openSUSE Leap 42.3
  • mutt >= 1.10.1-2.5.1
  • mutt-debuginfo >= 1.10.1-2.5.1
  • mutt-debugsource >= 1.10.1-2.5.1
  • mutt-doc >= 1.10.1-2.5.1
  • mutt-lang >= 1.10.1-2.5.1
Patchnames:
openSUSE-2019-52


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 mutt Released
SUSE Linux Enterprise Module for Basesystem 15 GA mutt Released
SUSE Linux Enterprise Server 11 SP3 LTSS mutt Released
SUSE Linux Enterprise Server 11 SP4 mutt Released
SUSE Linux Enterprise Server 12 GA LTSS mutt Affected
SUSE Linux Enterprise Server 12 SP1 LTSS mutt Affected
SUSE Linux Enterprise Server 12 SP2 LTSS mutt Affected
SUSE Linux Enterprise Server 12 SP3 mutt Released